from linaro_chromiumos.build import BuildParams
from linaro_chromiumos import utils
from unittest import TestCase

class TestBuildParams(TestCase):
    def setUp(self):
        self.saved_runs = []

        def mock_remote_run(machine, args):
            self.saved_runs.append((machine, args))
            return 0

        self.addCleanup(setattr, utils, 'remote_run', utils.remote_run)
        utils.remote_run = mock_remote_run
        self.build_params = BuildParams("machine")

    def test_do_build(self):
        self.build_params.do_build()
        expected = [('machine', ['true', 'remote-build-command'])]
        self.assertEqual(expected, self.saved_runs)

    def test_fetch_sources(self):
        self.build_params.fetch_sources()
        expected = [('machine', ['true', 'remote-fetch-command'])]
        self.assertEqual(expected, self.saved_runs)

    def test_publish_build(self):
        self.build_params.publish_build()
        expected = [('machine', ['true', 'remote-publish-command'])]
        self.assertEqual(expected, self.saved_runs)

