#!/usr/bin/python
# 
# Simple wrapper build script for Chromium OS builds
#
# Copyright (C) 2011 Linaro
#
# GPL v2+

import os
import getopt
import sys
import warnings
import errno
import shutil

options = {}
options['logdir'] = ''
options['board-type'] = 'x86-generic'
options['nousepkg'] = False

try:
    opts, args = getopt.getopt(sys.argv[1:], "",
                               ["logdir=",
                                "board-type=",
                                "nousepkg="])
except getopt.GetoptError, err:
    # print help information and exit:
    print str(err) # will print something like "option -a not recognized"
    usage()
    sys.exit(2)

for o, a in opts:
    options[o[2:]] = a


if not options['logdir'] == '':
    os.environ['PORT_LOGDIR'] = options['logdir']
    try:
        os.environ['FEATURES'] = os.environ['FEATURES'] + ' binpkg-logs'
    except:
        os.environ['FEATURES'] = 'binpkg-logs'
    os.system('sudo rm -rf %s'% options['logdir'])
    os.system('sudo mkdir %s' % options['logdir'])

build_options = ''
build_options += ' --board=%s' % options['board-type']
if options['nousepkg']:
    build_options += ' --nousepkg'

os.system('./setup_board --force %s' % build_options)
os.system('./build_packages %s' % build_options)

# <wait a long time>
image_options = ' --noenable_rootfs_verification '
image_options += ' --board=%s' % options['board-type']
os.system('./build_image %s' % image_options)

# <wait a long time>
# Success?
